Loading...
Searching...
No Matches
pcl::poisson::OctNode< NodeData, Real >::Neighbors3 Class Reference

`#include <pcl/surface/3rdparty/poisson4/octree_poisson.h>`

## Public Member Functions

| Neighbors3 (void)
void | clear (void)

## Public Attributes

OctNode * | neighbors [3][3][3]

## Detailed Description

template<class NodeData, class Real = float>
class pcl::poisson::OctNode< NodeData, Real >::Neighbors3

Definition at line 193 of file octree_poisson.h.

## Constructor & Destructor Documentation

## Neighbors3()

template<class NodeData , class Real >

pcl::poisson::OctNode< NodeData, Real >::Neighbors3::Neighbors3 | ( | void |  | ) |

Definition at line 1135 of file octree_poisson.hpp.

References pcl::poisson::OctNode< NodeData, Real >::Neighbors3::clear().

## Member Function Documentation

## clear()

template<class NodeData , class Real >

void pcl::poisson::OctNode< NodeData, Real >::Neighbors3::clear | ( | void |  | ) |

Definition at line 1138 of file octree_poisson.hpp.

Referenced by pcl::poisson::OctNode< NodeData, Real >::Neighbors3::Neighbors3().

## Member Data Documentation

## neighbors

template<class NodeData , class Real = float>

OctNode* pcl::poisson::OctNode< NodeData, Real >::Neighbors3::neighbors[3][3][3]

Definition at line 196 of file octree_poisson.h.

The documentation for this class was generated from the following files:

- pcl/surface/3rdparty/poisson4/octree_poisson.h
- pcl/surface/3rdparty/poisson4/octree_poisson.hpp